GEOIPUPDATE(1)

NAME
geoipupdate - a program for updating the MaxMind GeoIP databases

SYNOPSIS
geoipupdate [-v] [-f licensefile]

DESCRIPTION
geoipupdate automatically updates the GeoIP database for GeoIP subscribers. It connects to the MaxMind GeoIP Update server and checks for an updated database. If it finds an updated database, then it downloads it, uncompresses it, and installs it. If you are running a firewall, it requires that the DNS and HTTP (80) ports be open.

For example

geoipupdate -v

Performs the update in verbose mode.

OPTIONS

-v  Verbose mode, prints out the steps that geoipupdate takes.

-f  Specifies the configuration file that contains the license key. Defaults to GeoIP.conf in the system configuration directory.

USAGE
Typically you'll want to write a crontab to run on the first day of each month that will run geoipupdate. Below is a sample crontab that runs geoipupdate monthly:

    # top of crontab

    MAILTO=your@email.com

    33 3 1 * * /usr/local/bin/geoipupdate -v

    # end of crontab

RETURN CODES
geoipupdate returns 0 on success, 1 on error.

FILES

/etc/GeoIP.conf

Configuration file for GeoIP, should contain license key.

AUTHOR
Written by T.J. Mather

REPORTING BUGS
Report bugs to <support@maxmind.com>

COPYRIGHT
Copyright © 2004 MaxMind LLC This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
Visit <http://www.maxmind.com/app/products> to sign up for a GeoIP subscription.

geoiplookup(1), crontab(5)